// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

/**
 * Protobuf enum {@code dsepractice.chinese.v1alpha1.GameSessionStatus}
 */
public enum GameSessionStatus
    implements com.google.protobuf.Internal.EnumLite {
  /**
   * <code>GAME_SESSION_STATUS_UNSPECIFIED = 0;</code>
   */
  GAME_SESSION_STATUS_UNSPECIFIED(0),
  /**
   * <code>GAME_SESSION_STATUS_STOPPED = 1;</code>
   */
  GAME_SESSION_STATUS_STOPPED(1),
  /**
   * <code>GAME_SESSION_STATUS_ACTIVE = 2;</code>
   */
  GAME_SESSION_STATUS_ACTIVE(2),
  UNRECOGNIZED(-1),
  ;

  /**
   * <code>GAME_SESSION_STATUS_UNSPECIFIED = 0;</code>
   */
  public static final int GAME_SESSION_STATUS_UNSPECIFIED_VALUE = 0;
  /**
   * <code>GAME_SESSION_STATUS_STOPPED = 1;</code>
   */
  public static final int GAME_SESSION_STATUS_STOPPED_VALUE = 1;
  /**
   * <code>GAME_SESSION_STATUS_ACTIVE = 2;</code>
   */
  public static final int GAME_SESSION_STATUS_ACTIVE_VALUE = 2;


  @java.lang.Override
  public final int getNumber() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalArgumentException(
          "Can't get the number of an unknown enum value.");
    }
    return value;
  }

  /**
   * @param value The number of the enum to look for.
   * @return The enum associated with the given number.
   * @deprecated Use {@link #forNumber(int)} instead.
   */
  @java.lang.Deprecated
  public static GameSessionStatus valueOf(int value) {
    return forNumber(value);
  }

  public static GameSessionStatus forNumber(int value) {
    switch (value) {
      case 0: return GAME_SESSION_STATUS_UNSPECIFIED;
      case 1: return GAME_SESSION_STATUS_STOPPED;
      case 2: return GAME_SESSION_STATUS_ACTIVE;
      default: return null;
    }
  }

  public static com.google.protobuf.Internal.EnumLiteMap<GameSessionStatus>
      internalGetValueMap() {
    return internalValueMap;
  }
  private static final com.google.protobuf.Internal.EnumLiteMap<
      GameSessionStatus> internalValueMap =
        new com.google.protobuf.Internal.EnumLiteMap<GameSessionStatus>() {
          @java.lang.Override
          public GameSessionStatus findValueByNumber(int number) {
            return GameSessionStatus.forNumber(number);
          }
        };

  public static com.google.protobuf.Internal.EnumVerifier 
      internalGetVerifier() {
    return GameSessionStatusVerifier.INSTANCE;
  }

  private static final class GameSessionStatusVerifier implements 
       com.google.protobuf.Internal.EnumVerifier { 
          static final com.google.protobuf.Internal.EnumVerifier           INSTANCE = new GameSessionStatusVerifier();
          @java.lang.Override
          public boolean isInRange(int number) {
            return GameSessionStatus.forNumber(number) != null;
          }
        };

  private final int value;

  private GameSessionStatus(int value) {
    this.value = value;
  }

  // @@protoc_insertion_point(enum_scope:dsepractice.chinese.v1alpha1.GameSessionStatus)
}

